> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tight.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete invoice

> Delete an invoice for the given id



## OpenAPI

````yaml https://dev.tight.com/v3/api-docs delete /v6/invoicing/invoices/{id}
openapi: 3.0.1
info:
  title: Tight API
  contact:
    name: Hurdlr, Inc. (dba Tight)
    url: https://www.tight.com
    email: api@tight.com
  version: 6.0.0
servers:
  - url: https://sandbox.tight.com
    description: Staging Environment
  - url: https://prod.tight.com
    description: Production Environment
security:
  - EmbedToken: []
paths:
  /v6/invoicing/invoices/{id}:
    delete:
      tags:
        - Invoicing - Invoices
      summary: Delete invoice
      description: Delete an invoice for the given id
      operationId: deleteInvoice
      parameters:
        - name: id
          in: path
          description: The id of the invoice
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SuccessResponseInvoiceGetDto'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                result: FAILURE
                error:
                  - type: REQUIRED
                    message: Amount is required
                    param: amount
        '401':
          description: Not authenticated
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                result: FAILURE
                error:
                  - type: INVALID_TOKEN
                    message: Invalid access token
        '403':
          description: Not authorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                result: FAILURE
                error:
                  - type: FORBIDDEN
                    message: Expired access token
        '404':
          description: Endpoint not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                result: FAILURE
                error:
                  - type: BAD_REQUEST
                    message: Resource not found
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                result: FAILURE
                error:
                  - type: UNKNOWN_ERROR
                    message: Something went wrong. Please try again later.
      security:
        - EmbedToken: []
components:
  schemas:
    SuccessResponseInvoiceGetDto:
      type: object
      properties:
        result:
          type: string
          description: The result of the action performed.
          enum:
            - SUCCESS
            - FAILURE
        data:
          $ref: '#/components/schemas/InvoiceGetDto'
    ErrorResponse:
      type: object
      properties:
        result:
          type: string
          description: The result of the action performed.
          enum:
            - SUCCESS
            - FAILURE
        data:
          type: object
          description: The data generated by the action performed.
          nullable: true
        error:
          type: array
          items:
            $ref: '#/components/schemas/ErrorItem'
    InvoiceGetDto:
      required:
        - apiName
        - apiSourceId
        - collectionInfo
        - customer
        - customerInvoiceKey
        - date
        - discount
        - id
        - invoiceNo
        - invoiceStatus
        - name
        - notes
        - pdfUrl
        - recurrence
        - salesTax
        - status
        - totals
      type: object
      properties:
        id:
          type: string
          description: Id of the invoice
          example: inv_158998869
        name:
          type: string
          description: Name of the invoice
          nullable: true
          example: June Consulting Invoice
        invoiceNo:
          type: integer
          description: Invoice number
          format: int32
          nullable: true
          example: 1001
        status:
          type: string
          description: Status of the invoice
          example: ACTIVE
          enum:
            - ACTIVE
            - INACTIVE
            - REMOVED
        invoiceStatus:
          type: string
          description: Invoice status
          nullable: true
          example: OPEN
          enum:
            - DRAFT
            - SCHEDULED
            - OPEN
            - CLOSED
            - CANCELLED
            - REFUNDED
        date:
          type: string
          description: Date of the invoice
          format: date
          nullable: true
          example: '2025-06-26'
        totals:
          $ref: '#/components/schemas/InvoiceTotals'
        pdfUrl:
          type: string
          description: URL of the generated invoice PDF
          nullable: true
          example: https://cdn.sandbox.tight.com/invoices/inv_158998869.pdf
        customerInvoiceKey:
          type: string
          description: Unique key used in the customer-facing invoice URL
          nullable: true
          example: abc123xyz
        notes:
          type: string
          description: Notes to include on the invoice
          nullable: true
          example: Thank you for your business!
        customer:
          nullable: true
          allOf:
            - $ref: '#/components/schemas/CustomerExpanded'
        apiName:
          type: string
          description: API name of the source
          nullable: true
          example: QBO
          enum:
            - BOX
            - CLOVER
            - STRIPE
            - PLAID
            - KNOX
            - UBER
            - FRESHBOOKS
            - HARVEST
            - KW
            - FRESHBOOKS2
            - CAPITAL_ONE
            - SQUARE
            - DOTLOOP
            - REALOGY
            - UPWORK
            - SHOPIFY
            - DEDUCTR
            - ENTERPRISE
            - MOXIWORKS
            - APPDIRECT
            - LONEWOLF
            - LONEWOLF_TRANSACTIONDESK
            - SAMPLE_BANK
            - TAXBOT
            - GUSTO
            - XERO
            - UNIT
            - MOOV
            - QBO
            - QUALPAY
            - BENCH
            - PARTNER_IMPLEMENTATION
            - CHECK
            - RUTTER
            - WAVE
            - MANUAL_ENTRY
            - CSV_IMPORT
            - ADYEN
            - PAYABLI
        apiSourceId:
          type: string
          description: API source id
          nullable: true
          example: ext_123
        recurrence:
          $ref: '#/components/schemas/InvoiceRecurrenceGetDto'
        lineItems:
          type: array
          items:
            $ref: '#/components/schemas/InvoiceLineItemGetDto'
        discount:
          $ref: '#/components/schemas/Discount'
        salesTax:
          $ref: '#/components/schemas/SalesTax'
        collectionInfo:
          $ref: '#/components/schemas/InvoiceCollectionInfoGetDto'
        installments:
          type: array
          items:
            $ref: '#/components/schemas/InstallmentGetDto'
        customData:
          $ref: '#/components/schemas/JsonNode'
      description: The data generated by the action performed.
    ErrorItem:
      type: object
      properties:
        type:
          type: string
          description: The type of the error. Safe for programmatic use.
          enum:
            - UNKNOWN_ERROR
            - INVALID_TOKEN
            - EXPIRED_TOKEN
            - FORBIDDEN
            - BAD_REQUEST
            - JSON_ERROR
            - DUPLICATE
            - REQUIRED
            - INVALID_VALUE
            - NOT_MODIFIABLE
            - INVALID_FORMAT
            - NOT_FOUND
        message:
          type: string
          description: >-
            A human-readable message providing more details about the error.
            Safe for displaying to a user.
        param:
          type: string
          description: >-
            If the error is parameter-specific, the parameter related to the
            error. This can be used to display a message near the correct form
            field.
      description: Errors associated with the action performed, if applicable.
    InvoiceTotals:
      required:
        - balance
        - discountedTotal
        - paidAmount
        - salesTax
        - subtotal
        - total
      type: object
      properties:
        subtotal:
          type: integer
          description: Subtotal of the invoice before discounts and taxes (in cents)
          format: int64
          nullable: true
          example: 10000
        discountedTotal:
          type: integer
          description: Total after discounts but before taxes (in cents)
          format: int64
          nullable: true
          example: 9500
        salesTax:
          type: integer
          description: Sales tax amount (in cents)
          format: int64
          nullable: true
          example: 843
        total:
          type: integer
          description: Total amount including discounts and taxes (in cents)
          format: int64
          nullable: true
          example: 10343
        paidAmount:
          type: integer
          description: Amount already paid (in cents)
          format: int64
          nullable: true
          example: 5000
        balance:
          type: integer
          description: Remaining balance due (in cents)
          format: int64
          nullable: true
          example: 5343
      description: Computed totals for the invoice
      nullable: true
    CustomerExpanded:
      required:
        - id
      type: object
      properties:
        id:
          type: string
          description: Id of the customer
          example: cus_4852707
        name:
          type: string
          description: Name of the customer
          example: Abigail Adams
        email:
          type: string
          description: Email of the customer
          example: abigail@tight.com
      description: Customer associated with this time entry
      nullable: true
    InvoiceRecurrenceGetDto:
      required:
        - endDate
        - frequency
        - interval
      type: object
      properties:
        frequency:
          type: string
          description: Frequency of the recurrence
          nullable: true
          example: MONTHLY
          enum:
            - ONE_TIME
            - DAILY
            - WEEKLY
            - MONTHLY
            - YEARLY
        interval:
          type: integer
          description: Number of steps between occurrences
          format: int32
          nullable: true
          example: 1
        endDate:
          type: string
          description: Date the recurrence ends
          format: date
          nullable: true
          example: '2025-12-31'
      description: Recurrence settings for the invoice
      nullable: true
    InvoiceLineItemGetDto:
      required:
        - amount
        - apiItemId
        - description
        - glAccount
        - id
        - price
        - quantity
        - salesTax
      type: object
      properties:
        id:
          type: string
          description: Id of the invoice line item
          example: ili_28868401
        description:
          type: string
          description: Description of the line item
          nullable: true
          example: Consulting services
        amount:
          type: integer
          description: Amount of the line item (in cents)
          format: int32
          nullable: true
          example: 10000
        quantity:
          type: string
          description: Quantity of the line item
          nullable: true
          example: '2.0'
        price:
          type: string
          description: Unit price of the line item
          nullable: true
          example: '5000.0'
        salesTax:
          $ref: '#/components/schemas/SalesTax'
        apiItemId:
          type: string
          description: API item id associated with the line item
          nullable: true
          example: ext_item_123
        glAccount:
          nullable: true
          allOf:
            - $ref: '#/components/schemas/GlAccountExpanded'
      description: Line items of the invoice
    Discount:
      required:
        - calculateBeforeSalesTax
        - type
        - value
      type: object
      properties:
        value:
          type: string
          description: The discount value
          nullable: true
          example: '5.0'
        type:
          type: string
          description: The type of the discount value
          nullable: true
          example: PERCENT
          enum:
            - AMOUNT
            - PERCENT
        calculateBeforeSalesTax:
          type: boolean
          description: Whether to calculate the discount before sales tax
          nullable: true
          example: true
      description: Discount applied to the invoice
      nullable: true
    SalesTax:
      required:
        - type
        - value
      type: object
      properties:
        value:
          type: string
          description: The sales tax value
          example: '8.875'
        type:
          type: string
          description: The type of the sales tax value
          example: PERCENT
          enum:
            - AMOUNT
            - PERCENT
      description: Sales tax applied to the invoice item template
      nullable: true
    InvoiceCollectionInfoGetDto:
      required:
        - emailErrors
        - emailSentDatetime
        - emailStatus
        - lastViewedDatetime
        - paymentUrl
        - reminderRecurrence
        - sendEmail
        - term
      type: object
      properties:
        paymentUrl:
          type: string
          description: URL for the customer to view and pay the invoice
          nullable: true
          example: https://pay.tight.com/inv_158998869
        paymentMethods:
          type: array
          items:
            type: string
            description: Accepted payment methods for the invoice
            example: CREDIT_CARD
            enum:
              - DIRECT
              - CREDIT_CARD
              - ACH
        term:
          $ref: '#/components/schemas/InvoiceTerm'
        sendEmail:
          type: boolean
          description: Whether to send the invoice by email
          nullable: true
          example: true
        lastViewedDatetime:
          type: string
          description: Date and time the invoice was last viewed by the customer
          format: date-time
          nullable: true
        reminderRecurrence:
          $ref: '#/components/schemas/ReminderRecurrence'
        emailSentDatetime:
          type: string
          description: Date and time the invoice email was sent
          format: date-time
          nullable: true
        emailStatus:
          type: string
          description: Status of the invoice email
          nullable: true
          example: SENT
          enum:
            - SENDING
            - NOT_SENT
            - SENT
            - FAILURE_BOUNCED
        emailErrors:
          $ref: '#/components/schemas/JsonNode'
      description: Collection and payment settings for the invoice
      nullable: true
    InstallmentGetDto:
      required:
        - amountDue
        - balance
        - dueDate
        - id
        - name
      type: object
      properties:
        id:
          type: string
          description: Id of the installment
          example: istl_123
        name:
          type: string
          description: Name of the installment
          nullable: true
          example: First installment
        dueDate:
          type: string
          description: Due date of the installment
          format: date
          nullable: true
          example: '2025-07-15'
        balance:
          type: integer
          description: Balance of the installment (in cents)
          format: int32
          nullable: true
          example: 10000
        amountDue:
          $ref: '#/components/schemas/AmountDue'
      description: Installments of the invoice
    JsonNode:
      type: object
      properties:
        empty:
          type: boolean
        array:
          type: boolean
        'null':
          type: boolean
        object:
          type: boolean
        float:
          type: boolean
        string:
          type: boolean
        number:
          type: boolean
        missingNode:
          type: boolean
        valueNode:
          type: boolean
        nodeType:
          type: string
          enum:
            - ARRAY
            - BINARY
            - BOOLEAN
            - MISSING
            - 'NULL'
            - NUMBER
            - OBJECT
            - POJO
            - STRING
        pojo:
          type: boolean
        integralNumber:
          type: boolean
        floatingPointNumber:
          type: boolean
        short:
          type: boolean
        int:
          type: boolean
        long:
          type: boolean
        double:
          type: boolean
        bigDecimal:
          type: boolean
        bigInteger:
          type: boolean
        textual:
          type: boolean
          deprecated: true
        boolean:
          type: boolean
        binary:
          type: boolean
        container:
          type: boolean
        embeddedValue:
          type: boolean
      description: >-
        Custom JSON in which you can store any data with max length of 2000
        characters
      nullable: true
      example:
        internal_key: some_internal_key
        some_other_field: 23434
    GlAccountExpanded:
      required:
        - id
      type: object
      properties:
        id:
          type: string
          description: Id of the GL account
          example: gla_38560327
        name:
          type: string
          description: Name of the GL account
          example: Officer(s) Salaries and Wages
        accountNo:
          type: string
          description: Number of the GL account
          example: '60210'
        type:
          type: string
          description: Type the GL account
          example: EXPENSE
          enum:
            - ASSET
            - LIABILITY
            - EQUITY
            - INCOME
            - COGS
            - EXPENSE
            - OTHER_INCOME
            - OTHER_EXPENSE
            - SUSPENSE
        iconUrl:
          type: string
          description: Icon URL of the GL account
          example: https://cdn.sandbox.tight.com/icons/glAccountTypes/expense.png
        displayName:
          type: string
          description: Display name of the GL account
          example: '#60210 Officer(s) Salaries and Wages'
      description: GL account details
    InvoiceTerm:
      required:
        - dueDate
        - type
      type: object
      properties:
        type:
          type: string
          description: The payment term type
          nullable: true
          example: NET_30
          enum:
            - NET_10
            - NET_15
            - NET_30
            - NET_60
            - OTHER
        dueDate:
          type: string
          description: The due date for payment
          format: date
          nullable: true
          example: '2025-07-26'
      description: Default invoice payment term
      nullable: true
    ReminderRecurrence:
      type: object
      properties:
        frequency:
          type: string
          description: Frequency of the reminder
          example: WEEKLY
          enum:
            - ONE_TIME
            - DAILY
            - WEEKLY
            - MONTHLY
            - YEARLY
        interval:
          type: integer
          description: Number of steps between occurrences
          format: int32
          example: 1
      description: Default invoice reminder recurrence
      nullable: false
    AmountDue:
      required:
        - type
        - value
      type: object
      properties:
        value:
          type: string
          description: The amount due value
          nullable: true
          example: '50.0'
        type:
          type: string
          description: The type of the amount due value
          nullable: true
          example: AMOUNT
          enum:
            - AMOUNT
            - PERCENT
      description: Amount due for the installment
      nullable: true
  securitySchemes:
    EmbedToken:
      type: http
      description: >-
        Bearer authentication header of the form `Bearer <token>`, see
        [Authentication for more
        detail](/api-reference/authentication#partner-level-authentication).
      scheme: bearer

````